DDoS Mitigation
List Firewall Rules
get
/ddos-mitigation/firewall-rules/{network}List all firewall rules for a specific IP/network.
Authorization
Authorization
Authorization*string
Bearer YOUR_API_TOKEN with an API token. The X-API-Key: YOUR_API_TOKEN header works too.
Path parameters
network*string
Responses
Successful Response
application/json
rules*array<FirewallRuleOut>
Properties (14)
network*string
protocol*integer
Range
0 ≤ value ≤ 255dst_port*integer
Range
0 ≤ value ≤ 65535action*integer
Range
0 ≤ valueid*integer
action_label?string
Default
""tcp_syn?integer
Default
0tcp_ack?integer
Default
0tcp_synack?integer
Default
0tcp_rst?integer
Default
0tcp_fin?integer
Default
0tcp_all?integer
Default
0udp?integer
Default
0icmp?integer
Default
0total*integer